import { ref } from 'vue';

/**
 * 检测文本是否溢出
 */
export const useTextOverflow = () => {
	const disableTooltip = ref(false);

	const textMouseOver = (e: Event) => {
		const target = e.currentTarget as HTMLDivElement;
		disableTooltip.value = target.scrollWidth <= target.clientWidth;
	};

	return { disableTooltip, textMouseOver };
};
